using System.Collections.Concurrent;
using System.Collections.Generic;

namespace Server.Core.Extend
{
    public static class ConcurrentQueueExtend
    {
        public static void Clear<T>(this ConcurrentQueue<T> queue)
        {
            while (queue.TryDequeue(out T _))
            {
                
            }
        }
    }
}